<launch>
    <arg name="world_file" default="$(find turtlebot3_gazebo)/worlds/turtlebot3_house.world"/>
    <arg name="robot_name" default="triton"/>
    <arg name="sdf_robot_file" default="$(find cs603_particle_filter)/models/$(arg robot_name)/model.sdf"/>
    <arg name="x" default="-3.0" />
    <arg name="y" default="1.0" />
    <arg name="z" default="0.0" />
    <arg name="roll" default="0.0" />
    <arg name="pitch" default="0.0" />
    <arg name="yaw" default="0.0" />
  
    <include file="$(find gazebo_ros)/launch/empty_world.launch">
      <arg name="use_sim_time" value="true"/>
      <arg name="debug" value="false "/>  <!-- false for real training, true for debugging -->
      <arg name="paused" value="false"/>
      <arg name="gui" value="true" />
      <arg name="world_name" value="$(arg world_file)"/>
      <arg name="verbose" value="true"/>
      <arg name="recording" value="false"/>
    </include>

    <node pkg="gazebo_ros" type="spawn_model" name="$(arg robot_name)_spawn_urdf" respawn="false" output="screen" 
    args="-file $(arg sdf_robot_file) -sdf -x $(arg x) -y $(arg y) -z $(arg z) -R $(arg roll) -P $(arg pitch) -Y $(arg yaw) -model $(arg robot_name)" />
    
    <node pkg="tf" type="static_transform_publisher" name="base_link_to_base_scan" args="0 0 0.161 0 0 0 /base_link /base_scan 100" />
    <node pkg="tf" type="static_transform_publisher" name="world_to_odom" args="0 0 0 0 0 0 /world /odom 100" />
    <node pkg="tf" type="static_transform_publisher" name="map_to_world" args="0.0 0.0 0.0 0 0 0.0 /map /world 100" />
    <node pkg="cs603_particle_filter" type="position_publisher.py" name="position_publisher" />

    <node pkg="rviz" type="rviz" name="rviz" args="-d $(find cs603_particle_filter)/rviz/lidar.rviz" />
    
</launch>
